Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.txoj
Class LockMode

    java.lang.Object
      com.arjuna.ats.txoj.LockMode

public class LockMode
extends java.lang.Object

The types of lock which can exist.

Since:
  JTS 1.0.
Version:
  $Id: LockMode.html,v 1.1 2008/01/04 06:52:41 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `INTENTION_READ`
`static int` | `INTENTION_WRITE`
`static int` | `READ`
`static int` | `UPGRADE`
`static int` | `WRITE`

Constructor Summary
`LockMode()`

Method Summary
`static void` | `print(java.io.PrintWriter strm, int l)`
`static java.lang.String` | `printString(int l)` Deprecated. Use stringForm
`static java.lang.String` | `stringForm(int l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ

    public static final int READ

See Also:
  Constant Field Values

### WRITE

    public static final int WRITE

See Also:
  Constant Field Values

### UPGRADE

    public static final int UPGRADE

See Also:
  Constant Field Values

### INTENTION_READ

    public static final int INTENTION_READ

See Also:
  Constant Field Values

### INTENTION_WRITE

    public static final int INTENTION_WRITE

See Also:
  Constant Field Values

Constructor Detail

### LockMode

    public LockMode()

Method Detail

### stringForm

    public static java.lang.String stringForm(int l)

### printString

    public static java.lang.String printString(int l)

  Deprecated. Use stringForm

  Print a human-readable form of the lock type.

### print

    public static void print(java.io.PrintWriter strm,
                             int l)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD